tiberio Rated 5 out of 5 stars

When either opening your webpage to install your provider with the link is either down or not working properly...Can't install either way and yes i get the corruption error but the steps do not solve the problem

This review is for a previous version of the add-on (0.1.3.3.1-signed.1-signed). 

Hello

Yes, the provider is redirecting erronously, you can try this: right click over the link, select save target as, once the file is downloaded press cntrl + o, open the file previously downloaded(fluschipranie.xpi) and it will install automatically.

Not working ff 8.0 Rated 5 out of 5 stars

will not allow to download 0.1.4.b says incomp with ff 8.0

This review is for a previous version of the add-on (0.1.3.3.1-signed.1-signed). 

Temporarily Fix

You can download the 0.1.4.b Firefox 8.0 compatible version from http://fluschipranie.awardspace.us, or open fluschipranie's help page. The version you have is pending approval for mozilla reviewers and it cannot be modified to work with firefox 8 until then.

FF 7 and above fix Rated 5 out of 5 stars

Hi, for use with FF7 and above download the .xpi file, open with WinRAR, open install.rdf with Wordpad, edit "maxVersion" in Firefox section from 5.* to 8(or higher if you choose).*, open FF Add-Ons, install from file. For me it works on all my computers.

This review is for a previous version of the add-on (0.1.3.1-signed.1-signed).